import type { QAProps } from '@gravity-ui/uikit';
import { type ClassNameProps } from "../classname.js";
import type { EditorInt } from "./Editor.js";
import type { WToolbarData, WToolbarItemData } from "./toolbar/types.js";
import "./WysiwygEditorView.css";
export type WysiwygEditorViewProps = ClassNameProps & QAProps & {
    editor: EditorInt;
    autofocus?: boolean;
    settingsVisible?: boolean;
    toolbarConfig: WToolbarData;
    toolbarVisible?: boolean;
    stickyToolbar?: boolean;
    toolbarClassName?: string;
    hiddenActionsConfig?: WToolbarItemData[];
    children?: React.ReactNode;
};
export declare const WysiwygEditorView: import("react").NamedExoticComponent<WysiwygEditorViewProps>;
