import type React from 'react';
import type { Transaction } from 'prosemirror-state';
import type { EditorView } from 'prosemirror-view';
import type { ExtensionDeps } from "../../../../core/index.js";
import { ReactWidgetDescriptor } from "../../../index.js";
import { type LinkPlaceholderWidgetProps } from "../../../markdown/Link/PlaceholderWidget/widget.js";
export declare class QuoteLinkWidgetDescriptor extends ReactWidgetDescriptor {
    #private;
    private normalizeUrl;
    constructor(initPos: number, deps: ExtensionDeps);
    getDomElem(): HTMLElement;
    renderReactElement(view: EditorView, getPos: () => number): React.ReactElement;
    onCancel: LinkPlaceholderWidgetProps['onCancel'];
    onSubmit: LinkPlaceholderWidgetProps['onSubmit'];
}
export declare const addPlaceholder: (tr: Transaction, deps: ExtensionDeps) => Transaction;
