"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputState = void 0;
class InputState {
    #shiftKey = false;
    get shiftKey() {
        return this.#shiftKey;
    }
    keydown(e) {
        this.#shiftKey = e.code.startsWith('Shift') || e.shiftKey;
    }
    keyup(e) {
        if (e.code.startsWith('Shift'))
            this.#shiftKey = false;
    }
}
exports.InputState = InputState;
//# sourceMappingURL=input-state.js.map
