import type { YfmTablePluginOptions } from '@diplodoc/transform/lib/plugins/table/types.js';
import type { ExtensionWithOptions } from "../../../../core/index.js";
import { type YfmTableSchemaOptions } from "./schema.js";
export { YfmTableNode } from "./const.js";
export { yfmTableType, yfmTableBodyType, yfmTableRowType, yfmTableCellType } from "./utils.js";
export type YfmTableSpecsOptions = YfmTableSchemaOptions & Pick<YfmTablePluginOptions, 'table_ignoreSplittersInBlockCode' | 'table_ignoreSplittersInBlockMath' | 'table_ignoreSplittersInInlineCode' | 'table_ignoreSplittersInInlineMath'> & {};
export declare const YfmTableSpecs: ExtensionWithOptions<YfmTableSpecsOptions>;
