import type { ToolbarBaseProps, ToolbarListButtonData } from "./types.js";
import "./ToolbarListButton.css";
export type { ToolbarListButtonData };
export type ToolbarListButtonProps<E> = ToolbarBaseProps<E> & ToolbarListButtonData<E> & {
    qaMenu?: string;
    qaActionDisabledPopover?: string;
};
export declare function ToolbarListButton<E>({ className, editor, focus, onClick, icon, title, withArrow, data, alwaysActive, replaceActiveIcon, qa, qaMenu, qaActionDisabledPopover, }: ToolbarListButtonProps<E>): JSX.Element | null;
