"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSanitize = void 0;
const tslib_1 = require("tslib");
const sanitizeModule = tslib_1.__importStar(require("@diplodoc/transform/lib/sanitize.js"));
const sanitizeAll = (blockName) => () => {
    console.warn(`[${blockName}]: sanitize function not found`);
    return '';
};
const getSanitize = (blockName) => {
    const module = sanitizeModule;
    const sanitize = 'sanitize' in module && module.sanitize ? module.sanitize : module.default;
    return sanitize instanceof Function ? sanitize : sanitizeAll(blockName);
};
exports.getSanitize = getSanitize;
//# sourceMappingURL=getSanitize.js.map
