import type { ExtensionAuto } from "../../../../core/index.js";
import type { NodeSpec } from "../../../../pm/model.js";
export { YfmHeadingAttr } from "./const.js";
export type YfmHeadingSpecsOptions = {
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    headingPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
/** YfmHeading extension needs markdown-it-attrs plugin */
export declare const YfmHeadingSpecs: ExtensionAuto<YfmHeadingSpecsOptions>;
