import * as sanitizeModule from '@diplodoc/transform/lib/sanitize.js';
const sanitizeAll = (blockName) => () => {
    console.warn(`[${blockName}]: sanitize function not found`);
    return '';
};
export const getSanitize = (blockName) => {
    const module = sanitizeModule;
    const sanitize = 'sanitize' in module && module.sanitize ? module.sanitize : module.default;
    return sanitize instanceof Function ? sanitize : sanitizeAll(blockName);
};
//# sourceMappingURL=getSanitize.js.map
