export class InputState {
    #shiftKey = false;
    get shiftKey() {
        return this.#shiftKey;
    }
    keydown(e) {
        this.#shiftKey = e.code.startsWith('Shift') || e.shiftKey;
    }
    keyup(e) {
        if (e.code.startsWith('Shift'))
            this.#shiftKey = false;
    }
}
//# sourceMappingURL=input-state.js.map
